Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary: 	Lightweight media player using xine.
Name: 		xfmedia
Version: 	0.9.2
Release: 	3
License:	GNU/GPL
URL: 		http://kelnos.spuriousinterrupt.org/projects/xfmedia
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.9.1-desktop.patch
Group: 		Graphical Desktop/Xfce/Base
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	gtk2+ >= 2.4.0
Requires:	xine-lib >= 1.1.3
Requires:	dbus
Requires:	dbus-glib
Requires:	taglib
Requires:	libxfcegui4 >= 4.4.0
BuildRequires: 	libxfcegui4-devel >= 4.4.0
BuildRequires:	gtk2+-devel >= 2.4.0
BuildRequires:	taglib-devel
BuildRequires:	dbus-devel
BuildRequires:	xine-lib-devel >= 1.1.3
BuildRequires:	exo-devel

%description
A lightweight media player for Xfce 4, based on the xine engine.

%package devel
Summary:        developpment tools for %{name}
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Headers and development libraries for compiling plugins for Xfmedia.

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q
%patch0 -p1

%build
%configure --sysconfdir=%_sysconfdir/xfce
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_sysconfdir
%_libdir/xfmedia/plugins
%_datadir

%files devel
%defattr(-, root, root)
%_includedir
%_libdir/pkgconfig

%changelog
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.9.2-3
- Rebuild against XFCE 4.4.2
* Sun Oct 07 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.9.2-2
- Rebuild against XFCE 4.4.1
* Thu Feb 01 2007 Christian Metzen <metzench@ccux-linux.de> 0.9.2-1
- Version update
* Fri Dec 23 2005 Christian Wasem <wasem@ccux-linux.de> 0.9.1-3
- rebuilt, added Build-/Requires: dbus-glib
* Sun Oct 23 2005 Christian Wasem <wasem@ccux-linux.de> 0.9.1-2
- added desktop patch
* Sun Oct 16 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.9.1-1
- Initial Release
